#
# spec file for package sisu-mojos
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global upstream_version 0.9.0.M2
Name:           sisu-mojos
Version:        0.9.0~M2
Release:        150200.5.3.1
Summary:        Sisu plugin for Apache Maven
License:        EPL-1.0
Group:          Development/Libraries/Java
URL:            https://www.eclipse.org/sisu
Source0:        https://github.com/eclipse/sisu.mojos/archive/refs/tags/milestones/%{upstream_version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.inject)
BuildRequires:  mvn(org.slf4j:slf4j-nop)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
#!BuildIgnore:  maven-javadoc-plugin maven-javadoc-plugin-bootstrap
BuildArch:      noarch

%description
The Sisu Plugin for Maven provides mojos to generate
META-INF/sisu/javax.inject.Named index files for the Sisu container.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n sisu.mojos-milestones-%{upstream_version}

%pom_remove_plugin -r :maven-enforcer-plugin

%{mvn_alias} : org.sonatype.plugins:

%build
%{mvn_build} -f -- \
%if %{?pkg_vcmp:%pkg_vcmp java-devel >= 9}%{!?pkg_vcmp:0}
    -Dmaven.compiler.release=8 \
%endif
    -Dsource=8

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Sep 19 2023 fstrba@suse.com
- Do not require maven-javadoc-plugin that we don't use
* Wed Sep  6 2023 fstrba@suse.com
- Upgrade to 0.9.0 milestone 2
  * Changes of 0.9.0.M2
    + Add m2e support
    + Convert APT to MD
    + Update plugin
    + Align to latest Maven plugins
  * Changes of 0.9.0.M1
    + On debug, emit scanned entries
    + Enable Java CI workflow
    + Enable CodeQL analysis
    + Avoid rewriting the index if it has not changed
  * Changes of 0.3.5
    + Build against CDI API 1.2
  * Changes of 0.3.4
    + Reproducible builds
  * Changes of 0.3.3
    + Lifecycle maintenance
  * Changes of 0.3.2
    + Java9+Jigsaw support
* Fri May  5 2023 fstrba@suse.com
- Initial packaging with version 0.3.1
